# for configure script
%ifarch x86_64
	%define arch	x86-64
%endif

%ifarch %ix86
	%define arch	i586
%endif

%global docver	3.40
# Upstream stopped doing releases...
%global commit	3884b6d6ebc18511df7bf1485a19fe774dd61dcf

Name:		mtpaint
Version:	3.49.13
Release:	%mkrel 1
Summary:	Painting program for creating icons and pixel-based artwork
Group:		Graphics
License:	GPLv3+
URL:		http://mtpaint.sourceforge.net/
Source0:	https://github.com/wjaguar/mtPaint/archive/%{commit}/%{name}-%{version}.tar.gz
Source1:	http://downloads.sf.net/%{name}/%{name}_handbook-%{docver}.zip
# Patches from Fedora:
Patch0:		mtpaint-3.40-xdg-open.patch
Patch1:		mtpaint-3.40-strip.patch
Patch2:		mtpaint-3.40-png.patch
BuildRequires:	dos2unix
BuildRequires:	gettext
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(zlib)
Requires:	gifsicle
Requires:	imagemagick

%description
mtPaint is a painting program to easily create pixel art and
manipulate digital photos.

%package	handbook
Summary:	Handbook for the mtpaint painting application
Group:		Documentation
License:	GFDL
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
Install this package is want to read the handbook for the painting
application mtpaint.

%prep
%setup -n mtPaint-%{commit} -a 1
%apply_patches

%{__sed} -i 's,"/usr/doc/mtpaint/index.html","%{_docdir}/%{name}-handbook/index.html",' src/spawn.c

%{__chmod} 0755 %{name}_handbook-%{docver}/docs/{en_GB,img,files,cs}
dos2unix -k %{name}_handbook-%{docver}/docs/index.html
dos2unix -k %{name}_handbook-%{docver}/docs/{en_GB,cs}/*.html

%build
export CFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{ldflags} -fPIC"
./configure \
	--cpu=%{arch} \
	--prefix=%{_prefix} \
	gtkfilesel gtkcolsel \
	cflags asneeded intl man thread gtk2 GIF tiff jpeg jp2v2 imagick lcms2
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files handbook
%doc %{name}_handbook-%{docver}/docs/*
%doc %{name}_handbook-%{docver}/COPYING


%changelog
* Sun Apr 21 2019 tex 3.49.13-1pclos2019
- new version: 3.49.13
